[package]
name = "zen-nodejs"
version = "0.1.0"
edition = "2021"
license = "MIT"
publish = false

[lib]
crate-type = ["cdylib"]

[dependencies]
async-trait = "0.1.74"
napi = { version = "2.14.1", features = ["serde-json", "error_anyhow", "tokio_rt"] }
napi-derive = "2.14.2"
serde_json = "1.0.108"
futures = "0.3.29"
zen-engine = { path = "../../core/engine" }
zen-expression = { path = "../../core/expression" }

[build-dependencies]
napi-build = "2.1.0"